Bug 1329608 - missing deps on F22
Summary: missing deps on F22
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker
Depends On:
Blocks: 1310542
TreeView+ depends on / blocked
 
Reported: 2016-04-22 11:04 UTC by Kamil Páral
Modified: 2016-09-20 02:47 UTC (History)
7 users (show)

Fixed In Version: liveusb-creator-3.93.3-1.fc24 liveusb-creator-3.93.3-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-26 16:36:05 UTC


Attachments (Terms of Use)

Description Kamil Páral 2016-04-22 11:04:58 UTC
Description of problem:
On a fully updated clean installation of F22, I see this:

$ sudo liveusb-creator
Traceback (most recent call last):
  File "/bin/liveusb-creator", line 24, in <module>
    from liveusb import _
  File "/usr/lib/python2.7/site-packages/liveusb/__init__.py", line 40, in <module>
    from liveusb.creator import LiveUSBError
  File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 40, in <module>
    from liveusb.releases import releases
  File "/usr/lib/python2.7/site-packages/liveusb/releases.py", line 7, in <module>
    from urlgrabber import urlread
ImportError: No module named urlgrabber

Once I install python-urlgrabber, luc starts fine.


However, on a clean *unupdated* F22, I see this:

$ sudo liveusb-creator
QQmlApplicationEngine failed to load component
qrc:/liveusb.qml:3 module "QtQuick.Controls.Styles" version 1.4 is not installed

Traceback (most recent call last):
  File "/bin/liveusb-creator", line 106, in <module>
    main()
  File "/bin/liveusb-creator", line 100, in main
    LiveUSBApp(opts, sys.argv)
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 841, in __init__
    engine.rootObjects()[0].show()
IndexError: list index out of range

After I update from
qt5-qtquickcontrols-5.4.1-2.fc22.x86_64
to
qt5-qtquickcontrols-5.5.1-2.fc22.x86_64
the error disappears, but luc immediately exits on start with this message:

$ sudo liveusb-creator
file:///usr/lib64/qt5/qml/QtQuick/Controls/ComboBox.qml:514:5: QML Menu: Binding loop detected for property ""
Cannot mix incompatible Qt library (version 0x50401) with this library (version 0x50501)

After I update qt5* from 5.4.1 to 5.5.1, luc finally starts fine.


So it seems luc is missing a dep for urlgrabber, and certain qt5 deps are unversioned, even though they should be versioned (>= 5.5.1, it seems).


Version-Release number of selected component (if applicable):
liveusb-creator-3.93.1-1.fc22.noarch

Comment 1 Kamil Páral 2016-04-22 11:07:31 UTC
Proposing as a Beta blocker, due to:
"Release-blocking live and dedicated installer images must boot when written to optical media of an appropriate size (if applicable) and when written to a USB stick with any of the officially supported methods."
https://fedoraproject.org/wiki/Fedora_24_Beta_Release_Criteria#Release-blocking_images_must_boot
and luc not even starting on F22 by default, unless the user is lucky to have the correct deps installed already.

Comment 2 Fedora Update System 2016-04-22 17:07:47 UTC
liveusb-creator-3.93.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 3 Fedora Update System 2016-04-22 17:08:05 UTC
liveusb-creator-3.93.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 4 Fedora Update System 2016-04-22 17:08:16 UTC
liveusb-creator-3.93.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-77e613d54d

Comment 5 Fedora Update System 2016-04-22 17:08:23 UTC
liveusb-creator-3.93.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-77e613d54d

Comment 6 Fedora Update System 2016-04-24 01:25:57 UTC
liveusb-creator-3.93.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 7 Fedora Update System 2016-04-24 06:26:24 UTC
liveusb-creator-3.93.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-77e613d54d

Comment 8 Kamil Páral 2016-04-25 08:36:27 UTC
This is still the same with liveusb-creator-3.93.2-1.fc22. It seems there was no spec file change.

Comment 9 František Zatloukal 2016-04-25 10:43:34 UTC
I've created PR ( https://github.com/lmacken/liveusb-creator/pull/50 ) which fixes the problem at liveusb-creator side.

But I believe qt5-* packages must be versioned to fix this completely

Comment 10 Petr Schindler 2016-04-25 18:02:51 UTC
Discussed at 2016-04-25 blocker review meeting: [1]. 

This bug was rejected as beta blocker: the affected luc never reached stable for F22, so this bug does not violate the criteria

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2016-02-29/f24-blocker-review.2016-04-25-17.02.html

Comment 11 Fedora Update System 2016-04-26 08:14:30 UTC
liveusb-creator-3.93.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 12 Fedora Update System 2016-04-26 08:14:56 UTC
liveusb-creator-3.93.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-77e613d54d

Comment 13 Kamil Páral 2016-04-26 08:38:18 UTC
This is fixed with liveusb-creator-3.93.3-1.fc22.

Comment 14 Fedora Update System 2016-04-26 16:24:22 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 15 Fedora Update System 2016-04-26 16:33:59 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-04-26 21:22:09 UTC
liveusb-creator-3.93.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.